# Record TCefMenuButton

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefMenuButton = record`

## Description

MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefMenuButton.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_capi.h">CEF source file: /include/capi/views/cef_menu_button_capi.h (cef_menu_button_t))

## Overview

### Fields

| `base: TCefLabelButton;`
| `show_menu: procedure(self: PCefMenuButton; menu_model: PCefMenuModel; const screen_point: PCefPoint; anchor_position: TCefMenuAnchorPosition); stdcall;`
| `trigger_menu: procedure(self: PCefMenuButton); stdcall;`

## Description

### Fields

| `base: TCefLabelButton;`
This item has no description.

| `show_menu: procedure(self: PCefMenuButton; menu_model: PCefMenuModel; const screen_point: PCefPoint; anchor_position: TCefMenuAnchorPosition); stdcall;`
This item has no description.

| `trigger_menu: procedure(self: PCefMenuButton); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.